Name: gtk-vnc
Version: 0.3.5
Release: alt2

Summary: VNC viewer widget
Group: System/Configuration/Other
Source: %name-%version.tar.gz
License: LGPL
Packager: Eugene Ostapets <eostapets@altlinux.org>
Url: http://gtk-vnc.sourceforge.net/
# Automatically added by buildreq on Sun Apr 13 2008
BuildRequires: gcc-c++ glibc-devel-static libgnutls-devel libgtkglext-devel libmesa-devel python-module-pygtk-devel zlib-devel

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using
coroutines allowing it to be completely asynchronous while
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

The API is still in early stages of development & so until
version 1.0 is declared, the API may change. The primary
public API is provided by the vncdisplay.h class & should
be reasonably free of API churn. The other header files are
internal VNC protocol implementation & will very likely change.

For information about the project visit the webpages at:

  http://gtk-vnc.sourceforge.net/

%package -n libgtkvnc
Summary: VNC viewer widget
Group: System/Libraries
%description -n libgtkvnc
gtk-vnc is a VNC viewer widget for GTK. It is built using
coroutines allowing it to be completely asynchronous while
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

The API is still in early stages of development & so until
version 1.0 is declared, the API may change. The primary
public API is provided by the vncdisplay.h class & should
be reasonably free of API churn. The other header files are
internal VNC protocol implementation & will very likely change.

For information about the project visit the webpages at:

  http://gtk-vnc.sourceforge.net/


%package -n libgtkvnc-devel
Summary: VNC viewer widget
Group: System/Libraries
%description -n libgtkvnc-devel
gtk-vnc is a VNC viewer widget for GTK. It is built using
coroutines allowing it to be completely asynchronous while
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

The API is still in early stages of development & so until
version 1.0 is declared, the API may change. The primary
public API is provided by the vncdisplay.h class & should
be reasonably free of API churn. The other header files are
internal VNC protocol implementation & will very likely change.

For information about the project visit the webpages at:

  http://gtk-vnc.sourceforge.net/

%package -n python-module-gtkvnc
Summary: Python module for %name
Group: Development/Python
%description -n python-module-gtkvnc
gtk-vnc is a VNC viewer widget for GTK. It is built using
coroutines allowing it to be completely asynchronous while
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

The API is still in early stages of development & so until
version 1.0 is declared, the API may change. The primary
public API is provided by the vncdisplay.h class & should
be reasonably free of API churn. The other header files are
internal VNC protocol implementation & will very likely change.

For information about the project visit the webpages at:

  http://gtk-vnc.sourceforge.net/


%prep
%setup

%build
%configure \
	--with-examples \
	--with-python \
	--with-gtkglext \
	--with-libview

%make_build

%install
%make DESTDIR=%buildroot install

%post -n libgtkvnc -p %post_ldconfig
%postun -n libgtkvnc  -p %postun_ldconfig

%files
%_bindir/*

%files -n libgtkvnc
%_libdir/*.so.*

%files -n libgtkvnc-devel
%_libdir/*.so
%_includedir/gtk-vnc-1.0
%_pkgconfigdir/*.pc
%exclude %_libdir/*.a

%files -n python-module-gtkvnc
%python_sitelibdir/*

%changelog
* Thu Apr 24 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.5-alt2
- fix #15449

* Sun Apr 13 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.5-alt1
- First build for ALTLinux


